## pagetools 0.1

=== Makefile ===
C++ = c++
WARNINGS =      -pedantic
C_FLAGS =       -MMD $(WARNINGS) -O2
C++_FLAGS =     -MMD $(WARNINGS) -O2

INCLUDES =      -I .
.SUFFIXES:      $(.SUFFIXES) .cpp
PTLIB = libptformats.a libptraster.a libptutil.a

LIBUTILOBJ = util/bitutil.o 
LIBRASTEROBJ = raster/bwimage.o raster/deskewer.o
LIBFORMATSOBJ = formats/pbmfact.o formats/tifffact.o

LIBPBM = pbm
# For Debian systems, uncomment this
LIBPBM = netpbm

# need to update this every time the version number changes!
VERSION = 0.1

%.o:%.c
	$(CC) $(C_FLAGS) $< $(INCLUDES) -c -o $@

%.o:%.cpp
	$(C++) $(C++_FLAGS) $< $(INCLUDES) -fno-implicit-templates -c -o $@

all: libptutil.a libptraster.a libptformats.a pbm_findskew/pbm_findskew tiff_findskew/tiff_findskew

libptutil.a:     $(LIBUTILOBJ)
	ar rus $@ $(LIBUTILOBJ)

libptraster.a:     $(LIBRASTEROBJ)
	ar rus $@ $(LIBRASTEROBJ)

libptformats.a:     $(LIBFORMATSOBJ)
	ar rus $@ $(LIBFORMATSOBJ)


pbm_findskew/pbm_findskew:  pbm_findskew/pbm_findskew.o $(PTLIB)
	$(C++) pbm_findskew/pbm_findskew.o $(PTLIB) -l$(LIBPBM) -o $@

tiff_findskew/tiff_findskew:  tiff_findskew/tiff_findskew.o $(PTLIB)
	$(C++) tiff_findskew/tiff_findskew.o $(PTLIB) -ltiff -o $@


clean:
	rm -rf */*.o core *.d $(PTLIB) pbm_findskew/pbm_findskew tiff_findskew/tiff_findskew

-include *.d

release:
	tar zcvf pagetools-$(VERSION).tar.gz COPYING Makefile TODO index.html *.txt */*.h */*.cpp */*.1

=== debian/changelog ===
pagetools (0.1-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * debian/control: depend on netpbm11 now
  * add patch netpbm11.patch (Closes: #1012690)
    (Thanks to Santiago Vila for the patch)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 19 Nov 2024 22:03:02 +0100

pagetools (0.1-3) unstable; urgency=medium

  * Migrate to salsa.debian.org with dgit-maint-merge workflow
    - drop existing quilt patch queue
    - Configure source package for dgit
    - Add Vcs-git and Vcs-browser to d/control
  * Bump Std-Ver to 4.1.3, no changes needed
  * Bump debhelper compat level to 11
  * Update URLS to https
  * Add autopkgtest tests for simple usage

 -- Víctor Cuadrado Juan <me@viccuad.me>  Fri, 05 Jan 2018 20:20:52 +0100

pagetools (0.1-2) unstable; urgency=medium

  * Enable hardening buildflags
  * Update to Std-Ver 3.9.7

 -- Víctor Cuadrado Juan <me@viccuad.me>  Tue, 05 Apr 2016 02:12:33 +0200

pagetools (0.1-1) unstable; urgency=low

  * Initial release. Closes: #797354.

 -- Víctor Cuadrado Juan <me@viccuad.me>  Sun, 06 Sep 2015 12:00:14 +0200

=== debian/control ===
Source: pagetools
Section: graphics
Priority: optional
Maintainer: Víctor Cuadrado Juan <me@viccuad.me>
Standards-Version: 4.1.3
Build-Depends: debhelper (>= 11), libnetpbm11-dev, libtiff5-dev
Homepage: https://sourceforge.net/projects/pagetools/
Vcs-Git: https://salsa.debian.org/viccuad-guest/pagetools.git
Vcs-Browser: https://salsa.debian.org/viccuad-guest/pagetools

Package: pagetools
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Automatic deskew and bounding box determination for scanned page images
 This program determines the skew angle for text, and works with
 black/white images in TIFF or PBM format. To achieve this, it uses
 an original algorithm based on a fast implementation of the Radon
 transform. This program is part of the Page Layout Detection Tools
 project, which aims to automate the layout detection in scanned
 page images.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- C++_FLAGS="$(CXXFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

=== debian/tests/control ===
Test-Command: [[ $(pbm_findskew debian/tests/examples/fax2d.pbm) == "-0.419639" ]]
Depends: @

Test-Command: [[ $(tiff_findskew debian/tests/examples/fax2d.tif) == "-0.419639" ]]
Depends: @
